org.eclipse.viatra.addon.viewers.runtime.notation

## Interface NotationPackage

- All Superinterfaces:
    org.eclipse.emf.ecore.EModelElement, org.eclipse.emf.ecore.ENamedElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.EPackage, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    NotationPackageImpl

      public interface NotationPackage
      extends org.eclipse.emf.ecore.EPackage

  The Package for the model. It contains accessors for the meta objects to represent
  - each class,
  - each feature of each class,
  - each operation of each class,
  - each enum,
  - and each data type
  See Also:
    `NotationFactory`
  Generated:
  Model:
    kind="package"

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static interface` | `NotationPackage.Literals` Defines literals for the meta objects that represent each class, each feature of each class, each operation of each class, each enum, and each data type

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.EPackage

      `org.eclipse.emf.ecore.EPackage.Descriptor, org.eclipse.emf.ecore.EPackage.Registry`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `ATTRIBUTE` The meta object id for the '`Attribute`' class.
    `static int` | `ATTRIBUTE__CONTAINER` The feature id for the 'Container' reference.
    `static int` | `ATTRIBUTE__FORMAT` The feature id for the 'Format' containment reference.
    `static int` | `ATTRIBUTE__ID` The feature id for the 'Id' attribute.
    `static int` | `ATTRIBUTE__LABEL` The feature id for the 'Label' attribute.
    `static int` | `ATTRIBUTE_FEATURE_COUNT` The number of structural features of the 'Attribute' class.
    `static int` | `ATTRIBUTE_OPERATION_COUNT` The number of operations of the 'Attribute' class.
    `static int` | `CONTAINMENT` The meta object id for the '`Containment`' class.
    `static int` | `CONTAINMENT__FORMAT` The feature id for the 'Format' containment reference.
    `static int` | `CONTAINMENT__ID` The feature id for the 'Id' attribute.
    `static int` | `CONTAINMENT__LABEL` The feature id for the 'Label' attribute.
    `static int` | `CONTAINMENT__SOURCE` The feature id for the 'Source' reference.
    `static int` | `CONTAINMENT__TARGET` The feature id for the 'Target' reference.
    `static int` | `CONTAINMENT_FEATURE_COUNT` The number of structural features of the 'Containment' class.
    `static int` | `CONTAINMENT_OPERATION_COUNT` The number of operations of the 'Containment' class.
    `static int` | `EDGE` The meta object id for the '`Edge`' class.
    `static int` | `EDGE__FORMAT` The feature id for the 'Format' containment reference.
    `static int` | `EDGE__ID` The feature id for the 'Id' attribute.
    `static int` | `EDGE__LABEL` The feature id for the 'Label' attribute.
    `static int` | `EDGE__SOURCE` The feature id for the 'Source' reference.
    `static int` | `EDGE__TARGET` The feature id for the 'Target' reference.
    `static int` | `EDGE_FEATURE_COUNT` The number of structural features of the 'Edge' class.
    `static int` | `EDGE_OPERATION_COUNT` The number of operations of the 'Edge' class.
    `static NotationPackage` | `eINSTANCE` The singleton instance of the package.
    `static java.lang.String` | `eNAME` The package name.
    `static java.lang.String` | `eNS_PREFIX` The package namespace name.
    `static java.lang.String` | `eNS_URI` The package namespace URI.
    `static int` | `FORMAT_SPECIFICATION` The meta object id for the '`Format Specification`' class.
    `static int` | `FORMAT_SPECIFICATION__PROPERTIES` The feature id for the 'Properties' map.
    `static int` | `FORMAT_SPECIFICATION_FEATURE_COUNT` The number of structural features of the 'Format Specification' class.
    `static int` | `FORMAT_SPECIFICATION_OPERATION_COUNT` The number of operations of the 'Format Specification' class.
    `static int` | `FORMATTABLE_ELEMENT` The meta object id for the '`Formattable Element`' class.
    `static int` | `FORMATTABLE_ELEMENT__FORMAT` The feature id for the 'Format' containment reference.
    `static int` | `FORMATTABLE_ELEMENT__ID` The feature id for the 'Id' attribute.
    `static int` | `FORMATTABLE_ELEMENT__LABEL` The feature id for the 'Label' attribute.
    `static int` | `FORMATTABLE_ELEMENT_FEATURE_COUNT` The number of structural features of the 'Formattable Element' class.
    `static int` | `FORMATTABLE_ELEMENT_OPERATION_COUNT` The number of operations of the 'Formattable Element' class.
    `static int` | `HIERARCHY_POLICY` The meta object id for the '`Hierarchy Policy`' enum.
    `static int` | `ITEM` The meta object id for the '`Item`' class.
    `static int` | `ITEM__CHILDREN` The feature id for the 'Children' reference list.
    `static int` | `ITEM__FORMAT` The feature id for the 'Format' containment reference.
    `static int` | `ITEM__ID` The feature id for the 'Id' attribute.
    `static int` | `ITEM__LABEL` The feature id for the 'Label' attribute.
    `static int` | `ITEM__PARAM_EOBJECT` The feature id for the 'Param EObject' reference.
    `static int` | `ITEM__PARAM_OBJECT` The feature id for the 'Param Object' attribute.
    `static int` | `ITEM__PARENT` The feature id for the 'Parent' reference.
    `static int` | `ITEM__POLICY` The feature id for the 'Policy' attribute.
    `static int` | `ITEM_FEATURE_COUNT` The number of structural features of the 'Item' class.
    `static int` | `ITEM_OPERATION_COUNT` The number of operations of the 'Item' class.
    `static int` | `NOTATION_MODEL` The meta object id for the '`Model`' class.
    `static int` | `NOTATION_MODEL__CONTAINMENTS` The feature id for the 'Containments' containment reference list.
    `static int` | `NOTATION_MODEL__EDGES` The feature id for the 'Edges' containment reference list.
    `static int` | `NOTATION_MODEL__ID` The feature id for the 'Id' attribute.
    `static int` | `NOTATION_MODEL__ITEMS` The feature id for the 'Items' containment reference list.
    `static int` | `NOTATION_MODEL_FEATURE_COUNT` The number of structural features of the 'Model' class.
    `static int` | `NOTATION_MODEL_OPERATION_COUNT` The number of operations of the 'Model' class.
    `static int` | `STRING_TO_STRING_MAP` The meta object id for the '`String To String Map`' class.
    `static int` | `STRING_TO_STRING_MAP__KEY` The feature id for the 'Key' attribute.
    `static int` | `STRING_TO_STRING_MAP__VALUE` The feature id for the 'Value' attribute.
    `static int` | `STRING_TO_STRING_MAP_FEATURE_COUNT` The number of structural features of the 'String To String Map' class.
    `static int` | `STRING_TO_STRING_MAP_OPERATION_COUNT` The number of operations of the 'String To String Map' class.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.ecore.EReference` | `getAttribute_Container()` Returns the meta object for the reference '`Container`'.
    `org.eclipse.emf.ecore.EClass` | `getAttribute()` Returns the meta object for class '`Attribute`'.
    `org.eclipse.emf.ecore.EClass` | `getContainment()` Returns the meta object for class '`Containment`'.
    `org.eclipse.emf.ecore.EReference` | `getEdge_Source()` Returns the meta object for the reference '`Source`'.
    `org.eclipse.emf.ecore.EReference` | `getEdge_Target()` Returns the meta object for the reference '`Target`'.
    `org.eclipse.emf.ecore.EClass` | `getEdge()` Returns the meta object for class '`Edge`'.
    `org.eclipse.emf.ecore.EReference` | `getFormatSpecification_Properties()` Returns the meta object for the map '`Properties`'.
    `org.eclipse.emf.ecore.EClass` | `getFormatSpecification()` Returns the meta object for class '`Format Specification`'.
    `org.eclipse.emf.ecore.EReference` | `getFormattableElement_Format()` Returns the meta object for the containment reference '`Format`'.
    `org.eclipse.emf.ecore.EAttribute` | `getFormattableElement_Id()` Returns the meta object for the attribute '`Id`'.
    `org.eclipse.emf.ecore.EAttribute` | `getFormattableElement_Label()` Returns the meta object for the attribute '`Label`'.
    `org.eclipse.emf.ecore.EClass` | `getFormattableElement()` Returns the meta object for class '`Formattable Element`'.
    `org.eclipse.emf.ecore.EEnum` | `getHierarchyPolicy()` Returns the meta object for enum '`Hierarchy Policy`'.
    `org.eclipse.emf.ecore.EReference` | `getItem_Children()` Returns the meta object for the reference list '`Children`'.
    `org.eclipse.emf.ecore.EReference` | `getItem_ParamEObject()` Returns the meta object for the reference '`Param EObject`'.
    `org.eclipse.emf.ecore.EAttribute` | `getItem_ParamObject()` Returns the meta object for the attribute '`Param Object`'.
    `org.eclipse.emf.ecore.EReference` | `getItem_Parent()` Returns the meta object for the reference '`Parent`'.
    `org.eclipse.emf.ecore.EAttribute` | `getItem_Policy()` Returns the meta object for the attribute '`Policy`'.
    `org.eclipse.emf.ecore.EClass` | `getItem()` Returns the meta object for class '`Item`'.
    `NotationFactory` | `getNotationFactory()` Returns the factory that creates the instances of the model.
    `org.eclipse.emf.ecore.EReference` | `getNotationModel_Containments()` Returns the meta object for the containment reference list '`Containments`'.
    `org.eclipse.emf.ecore.EReference` | `getNotationModel_Edges()` Returns the meta object for the containment reference list '`Edges`'.
    `org.eclipse.emf.ecore.EAttribute` | `getNotationModel_Id()` Returns the meta object for the attribute '`Id`'.
    `org.eclipse.emf.ecore.EReference` | `getNotationModel_Items()` Returns the meta object for the containment reference list '`Items`'.
    `org.eclipse.emf.ecore.EClass` | `getNotationModel()` Returns the meta object for class '`Model`'.
    `org.eclipse.emf.ecore.EAttribute` | `getStringToStringMap_Key()` Returns the meta object for the attribute '`Key`'.
    `org.eclipse.emf.ecore.EAttribute` | `getStringToStringMap_Value()` Returns the meta object for the attribute '`Value`'.
    `org.eclipse.emf.ecore.EClass` | `getStringToStringMap()` Returns the meta object for class '`String To String Map`'.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EPackage

      `getEClassifier, getEClassifiers, getEFactoryInstance, getESubpackages, getESuperPackage, getNsPrefix, getNsURI, setEFactoryInstance, setNsPrefix, setNsURI`

    - ### Methods inherited from interface org.eclipse.emf.ecore.ENamedElement

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eNAME

          static final java.lang.String eNAME

      The package name.
      See Also:
        Constant Field Values
      Generated:

    - #### eNS_URI

          static final java.lang.String eNS_URI

      The package namespace URI.
      See Also:
        Constant Field Values
      Generated:

    - #### eNS_PREFIX

          static final java.lang.String eNS_PREFIX

      The package namespace name.
      See Also:
        Constant Field Values
      Generated:

    - #### eINSTANCE

          static final NotationPackage eINSTANCE

      The singleton instance of the package.
      Generated:

    - #### FORMATTABLE_ELEMENT

          static final int FORMATTABLE_ELEMENT

      The meta object id for the '`Formattable Element`' class.
      See Also:
        `FormattableElement`, `NotationPackageImpl.getFormattableElement()`, Constant Field Values
      Generated:

    - #### FORMATTABLE_ELEMENT__LABEL

          static final int FORMATTABLE_ELEMENT__LABEL

      The feature id for the 'Label' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FORMATTABLE_ELEMENT__FORMAT

          static final int FORMATTABLE_ELEMENT__FORMAT

      The feature id for the 'Format' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FORMATTABLE_ELEMENT__ID

          static final int FORMATTABLE_ELEMENT__ID

      The feature id for the 'Id' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FORMATTABLE_ELEMENT_FEATURE_COUNT

          static final int FORMATTABLE_ELEMENT_FEATURE_COUNT

      The number of structural features of the 'Formattable Element' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FORMATTABLE_ELEMENT_OPERATION_COUNT

          static final int FORMATTABLE_ELEMENT_OPERATION_COUNT

      The number of operations of the 'Formattable Element' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FORMAT_SPECIFICATION

          static final int FORMAT_SPECIFICATION

      The meta object id for the '`Format Specification`' class.
      See Also:
        `FormatSpecificationImpl`, `NotationPackageImpl.getFormatSpecification()`, Constant Field Values
      Generated:

    - #### FORMAT_SPECIFICATION__PROPERTIES

          static final int FORMAT_SPECIFICATION__PROPERTIES

      The feature id for the 'Properties' map.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FORMAT_SPECIFICATION_FEATURE_COUNT

          static final int FORMAT_SPECIFICATION_FEATURE_COUNT

      The number of structural features of the 'Format Specification' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### FORMAT_SPECIFICATION_OPERATION_COUNT

          static final int FORMAT_SPECIFICATION_OPERATION_COUNT

      The number of operations of the 'Format Specification' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ITEM

          static final int ITEM

      The meta object id for the '`Item`' class.
      See Also:
        `ItemImpl`, `NotationPackageImpl.getItem()`, Constant Field Values
      Generated:

    - #### ITEM__LABEL

          static final int ITEM__LABEL

      The feature id for the 'Label' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ITEM__FORMAT

          static final int ITEM__FORMAT

      The feature id for the 'Format' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ITEM__ID

          static final int ITEM__ID

      The feature id for the 'Id' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ITEM__PARENT

          static final int ITEM__PARENT

      The feature id for the 'Parent' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ITEM__CHILDREN

          static final int ITEM__CHILDREN

      The feature id for the 'Children' reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ITEM__POLICY

          static final int ITEM__POLICY

      The feature id for the 'Policy' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ITEM__PARAM_OBJECT

          static final int ITEM__PARAM_OBJECT

      The feature id for the 'Param Object' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ITEM__PARAM_EOBJECT

          static final int ITEM__PARAM_EOBJECT

      The feature id for the 'Param EObject' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ITEM_FEATURE_COUNT

          static final int ITEM_FEATURE_COUNT

      The number of structural features of the 'Item' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ITEM_OPERATION_COUNT

          static final int ITEM_OPERATION_COUNT

      The number of operations of the 'Item' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EDGE

          static final int EDGE

      The meta object id for the '`Edge`' class.
      See Also:
        `EdgeImpl`, `NotationPackageImpl.getEdge()`, Constant Field Values
      Generated:

    - #### EDGE__LABEL

          static final int EDGE__LABEL

      The feature id for the 'Label' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EDGE__FORMAT

          static final int EDGE__FORMAT

      The feature id for the 'Format' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EDGE__ID

          static final int EDGE__ID

      The feature id for the 'Id' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EDGE__SOURCE

          static final int EDGE__SOURCE

      The feature id for the 'Source' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EDGE__TARGET

          static final int EDGE__TARGET

      The feature id for the 'Target' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EDGE_FEATURE_COUNT

          static final int EDGE_FEATURE_COUNT

      The number of structural features of the 'Edge' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### EDGE_OPERATION_COUNT

          static final int EDGE_OPERATION_COUNT

      The number of operations of the 'Edge' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CONTAINMENT

          static final int CONTAINMENT

      The meta object id for the '`Containment`' class.
      See Also:
        `ContainmentImpl`, `NotationPackageImpl.getContainment()`, Constant Field Values
      Generated:

    - #### CONTAINMENT__LABEL

          static final int CONTAINMENT__LABEL

      The feature id for the 'Label' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CONTAINMENT__FORMAT

          static final int CONTAINMENT__FORMAT

      The feature id for the 'Format' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CONTAINMENT__ID

          static final int CONTAINMENT__ID

      The feature id for the 'Id' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CONTAINMENT__SOURCE

          static final int CONTAINMENT__SOURCE

      The feature id for the 'Source' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CONTAINMENT__TARGET

          static final int CONTAINMENT__TARGET

      The feature id for the 'Target' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CONTAINMENT_FEATURE_COUNT

          static final int CONTAINMENT_FEATURE_COUNT

      The number of structural features of the 'Containment' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### CONTAINMENT_OPERATION_COUNT

          static final int CONTAINMENT_OPERATION_COUNT

      The number of operations of the 'Containment' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### NOTATION_MODEL

          static final int NOTATION_MODEL

      The meta object id for the '`Model`' class.
      See Also:
        `NotationModelImpl`, `NotationPackageImpl.getNotationModel()`, Constant Field Values
      Generated:

    - #### NOTATION_MODEL__ITEMS

          static final int NOTATION_MODEL__ITEMS

      The feature id for the 'Items' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### NOTATION_MODEL__EDGES

          static final int NOTATION_MODEL__EDGES

      The feature id for the 'Edges' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### NOTATION_MODEL__CONTAINMENTS

          static final int NOTATION_MODEL__CONTAINMENTS

      The feature id for the 'Containments' containment reference list.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### NOTATION_MODEL__ID

          static final int NOTATION_MODEL__ID

      The feature id for the 'Id' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### NOTATION_MODEL_FEATURE_COUNT

          static final int NOTATION_MODEL_FEATURE_COUNT

      The number of structural features of the 'Model' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### NOTATION_MODEL_OPERATION_COUNT

          static final int NOTATION_MODEL_OPERATION_COUNT

      The number of operations of the 'Model' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATTRIBUTE

          static final int ATTRIBUTE

      The meta object id for the '`Attribute`' class.
      See Also:
        `AttributeImpl`, `NotationPackageImpl.getAttribute()`, Constant Field Values
      Generated:

    - #### ATTRIBUTE__LABEL

          static final int ATTRIBUTE__LABEL

      The feature id for the 'Label' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATTRIBUTE__FORMAT

          static final int ATTRIBUTE__FORMAT

      The feature id for the 'Format' containment reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATTRIBUTE__ID

          static final int ATTRIBUTE__ID

      The feature id for the 'Id' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATTRIBUTE__CONTAINER

          static final int ATTRIBUTE__CONTAINER

      The feature id for the 'Container' reference.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATTRIBUTE_FEATURE_COUNT

          static final int ATTRIBUTE_FEATURE_COUNT

      The number of structural features of the 'Attribute' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### ATTRIBUTE_OPERATION_COUNT

          static final int ATTRIBUTE_OPERATION_COUNT

      The number of operations of the 'Attribute' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STRING_TO_STRING_MAP

          static final int STRING_TO_STRING_MAP

      The meta object id for the '`String To String Map`' class.
      See Also:
        `StringToStringMapImpl`, `NotationPackageImpl.getStringToStringMap()`, Constant Field Values
      Generated:

    - #### STRING_TO_STRING_MAP__VALUE

          static final int STRING_TO_STRING_MAP__VALUE

      The feature id for the 'Value' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STRING_TO_STRING_MAP__KEY

          static final int STRING_TO_STRING_MAP__KEY

      The feature id for the 'Key' attribute.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STRING_TO_STRING_MAP_FEATURE_COUNT

          static final int STRING_TO_STRING_MAP_FEATURE_COUNT

      The number of structural features of the 'String To String Map' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### STRING_TO_STRING_MAP_OPERATION_COUNT

          static final int STRING_TO_STRING_MAP_OPERATION_COUNT

      The number of operations of the 'String To String Map' class.
      See Also:
        Constant Field Values
      Generated:
      Ordered:

    - #### HIERARCHY_POLICY

          static final int HIERARCHY_POLICY

      The meta object id for the '`Hierarchy Policy`' enum.
      See Also:
        `HierarchyPolicy`, `NotationPackageImpl.getHierarchyPolicy()`, Constant Field Values
      Generated:

  - ### Method Detail

    - #### getFormattableElement

          org.eclipse.emf.ecore.EClass getFormattableElement()

      Returns the meta object for class '`Formattable Element`'.
      Returns:
        the meta object for class 'Formattable Element'.
      See Also:
        `FormattableElement`
      Generated:

    - #### getFormattableElement_Label

          org.eclipse.emf.ecore.EAttribute getFormattableElement_Label()

      Returns the meta object for the attribute '`Label`'.
      Returns:
        the meta object for the attribute 'Label'.
      See Also:
        `FormattableElement.getLabel()`, `getFormattableElement()`
      Generated:

    - #### getFormattableElement_Format

          org.eclipse.emf.ecore.EReference getFormattableElement_Format()

      Returns the meta object for the containment reference '`Format`'.
      Returns:
        the meta object for the containment reference 'Format'.
      See Also:
        `FormattableElement.getFormat()`, `getFormattableElement()`
      Generated:

    - #### getFormattableElement_Id

          org.eclipse.emf.ecore.EAttribute getFormattableElement_Id()

      Returns the meta object for the attribute '`Id`'.
      Returns:
        the meta object for the attribute 'Id'.
      See Also:
        `FormattableElement.getId()`, `getFormattableElement()`
      Generated:

    - #### getFormatSpecification

          org.eclipse.emf.ecore.EClass getFormatSpecification()

      Returns the meta object for class '`Format Specification`'.
      Returns:
        the meta object for class 'Format Specification'.
      See Also:
        `FormatSpecification`
      Generated:

    - #### getFormatSpecification_Properties

          org.eclipse.emf.ecore.EReference getFormatSpecification_Properties()

      Returns the meta object for the map '`Properties`'.
      Returns:
        the meta object for the map 'Properties'.
      See Also:
        `FormatSpecification.getProperties()`, `getFormatSpecification()`
      Generated:

    - #### getItem

          org.eclipse.emf.ecore.EClass getItem()

      Returns the meta object for class '`Item`'.
      Returns:
        the meta object for class 'Item'.
      See Also:
        `Item`
      Generated:

    - #### getItem_Parent

          org.eclipse.emf.ecore.EReference getItem_Parent()

      Returns the meta object for the reference '`Parent`'.
      Returns:
        the meta object for the reference 'Parent'.
      See Also:
        `Item.getParent()`, `getItem()`
      Generated:

    - #### getItem_Children

          org.eclipse.emf.ecore.EReference getItem_Children()

      Returns the meta object for the reference list '`Children`'.
      Returns:
        the meta object for the reference list 'Children'.
      See Also:
        `Item.getChildren()`, `getItem()`
      Generated:

    - #### getItem_Policy

          org.eclipse.emf.ecore.EAttribute getItem_Policy()

      Returns the meta object for the attribute '`Policy`'.
      Returns:
        the meta object for the attribute 'Policy'.
      See Also:
        `Item.getPolicy()`, `getItem()`
      Generated:

    - #### getItem_ParamObject

          org.eclipse.emf.ecore.EAttribute getItem_ParamObject()

      Returns the meta object for the attribute '`Param Object`'.
      Returns:
        the meta object for the attribute 'Param Object'.
      See Also:
        `Item.getParamObject()`, `getItem()`
      Generated:

    - #### getItem_ParamEObject

          org.eclipse.emf.ecore.EReference getItem_ParamEObject()

      Returns the meta object for the reference '`Param EObject`'.
      Returns:
        the meta object for the reference 'Param EObject'.
      See Also:
        `Item.getParamEObject()`, `getItem()`
      Generated:

    - #### getEdge

          org.eclipse.emf.ecore.EClass getEdge()

      Returns the meta object for class '`Edge`'.
      Returns:
        the meta object for class 'Edge'.
      See Also:
        `Edge`
      Generated:

    - #### getEdge_Source

          org.eclipse.emf.ecore.EReference getEdge_Source()

      Returns the meta object for the reference '`Source`'.
      Returns:
        the meta object for the reference 'Source'.
      See Also:
        `Edge.getSource()`, `getEdge()`
      Generated:

    - #### getEdge_Target

          org.eclipse.emf.ecore.EReference getEdge_Target()

      Returns the meta object for the reference '`Target`'.
      Returns:
        the meta object for the reference 'Target'.
      See Also:
        `Edge.getTarget()`, `getEdge()`
      Generated:

    - #### getContainment

          org.eclipse.emf.ecore.EClass getContainment()

      Returns the meta object for class '`Containment`'.
      Returns:
        the meta object for class 'Containment'.
      See Also:
        `Containment`
      Generated:

    - #### getNotationModel

          org.eclipse.emf.ecore.EClass getNotationModel()

      Returns the meta object for class '`Model`'.
      Returns:
        the meta object for class 'Model'.
      See Also:
        `NotationModel`
      Generated:

    - #### getNotationModel_Items

          org.eclipse.emf.ecore.EReference getNotationModel_Items()

      Returns the meta object for the containment reference list '`Items`'.
      Returns:
        the meta object for the containment reference list 'Items'.
      See Also:
        `NotationModel.getItems()`, `getNotationModel()`
      Generated:

    - #### getNotationModel_Edges

          org.eclipse.emf.ecore.EReference getNotationModel_Edges()

      Returns the meta object for the containment reference list '`Edges`'.
      Returns:
        the meta object for the containment reference list 'Edges'.
      See Also:
        `NotationModel.getEdges()`, `getNotationModel()`
      Generated:

    - #### getNotationModel_Containments

          org.eclipse.emf.ecore.EReference getNotationModel_Containments()

      Returns the meta object for the containment reference list '`Containments`'.
      Returns:
        the meta object for the containment reference list 'Containments'.
      See Also:
        `NotationModel.getContainments()`, `getNotationModel()`
      Generated:

    - #### getNotationModel_Id

          org.eclipse.emf.ecore.EAttribute getNotationModel_Id()

      Returns the meta object for the attribute '`Id`'.
      Returns:
        the meta object for the attribute 'Id'.
      See Also:
        `NotationModel.getId()`, `getNotationModel()`
      Generated:

    - #### getAttribute

          org.eclipse.emf.ecore.EClass getAttribute()

      Returns the meta object for class '`Attribute`'.
      Returns:
        the meta object for class 'Attribute'.
      See Also:
        `Attribute`
      Generated:

    - #### getAttribute_Container

          org.eclipse.emf.ecore.EReference getAttribute_Container()

      Returns the meta object for the reference '`Container`'.
      Returns:
        the meta object for the reference 'Container'.
      See Also:
        `Attribute.getContainer()`, `getAttribute()`
      Generated:

    - #### getStringToStringMap

          org.eclipse.emf.ecore.EClass getStringToStringMap()

      Returns the meta object for class '`String To String Map`'.
      Returns:
        the meta object for class 'String To String Map'.
      See Also:
        `Map.Entry`
      Generated:
      Model:
        features="value key" valueDataType="org.eclipse.emf.ecore.EJavaObject" keyDataType="org.eclipse.emf.ecore.EString"

    - #### getStringToStringMap_Value

          org.eclipse.emf.ecore.EAttribute getStringToStringMap_Value()

      Returns the meta object for the attribute '`Value`'.
      Returns:
        the meta object for the attribute 'Value'.
      See Also:
        `Map.Entry`, `getStringToStringMap()`
      Generated:

    - #### getStringToStringMap_Key

          org.eclipse.emf.ecore.EAttribute getStringToStringMap_Key()

      Returns the meta object for the attribute '`Key`'.
      Returns:
        the meta object for the attribute 'Key'.
      See Also:
        `Map.Entry`, `getStringToStringMap()`
      Generated:

    - #### getHierarchyPolicy

          org.eclipse.emf.ecore.EEnum getHierarchyPolicy()

      Returns the meta object for enum '`Hierarchy Policy`'.
      Returns:
        the meta object for enum 'Hierarchy Policy'.
      See Also:
        `HierarchyPolicy`
      Generated:

    - #### getNotationFactory

          NotationFactory getNotationFactory()

      Returns the factory that creates the instances of the model.
      Returns:
        the factory that creates the instances of the model.
      Generated: